## ros-noetic-reach-ros 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

# Extract package name and version from package.xml
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

find_package(reach REQUIRED)

find_package(
  catkin REQUIRED
  COMPONENTS tf2_eigen
             interactive_markers
             moveit_core
             moveit_msgs
             moveit_ros_planning_interface
             sensor_msgs
             visualization_msgs)

catkin_package(
  INCLUDE_DIRS
  include
  LIBRARIES
  ${PROJECT_NAME}
  CATKIN_DEPENDS
  tf2_eigen
  interactive_markers
  moveit_core
  moveit_msgs
  moveit_ros_planning_interface
  sensor_msgs
  visualization_msgs)

# ######################################################################################################################
# BUILD ##
# ######################################################################################################################

include_directories(${catkin_INCLUDE_DIRS} include)

# Plugin Implementations
add_library(
  ${PROJECT_NAME}
  src/utils.cpp
  # Evaluator
  src/evaluation/manipulability_moveit.cpp
  src/evaluation/joint_penalty_moveit.cpp
  src/evaluation/distance_penalty_moveit.cpp
  # IK Solver
  src/ik/moveit_ik_solver.cpp
  # Display
  src/display/ros_display.cpp
  # Target pose generator
  src/target_pose_generator/transformed_point_cloud_target_pose_generator.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} reach::reach)

# Plugin Library
add_library(${PROJECT_NAME}_plugins SHARED src/plugins.cpp)
target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME})
target_cxx_version(${PROJECT_NAME}_plugins PUBLIC VERSION 14)

# Reach study node
add_executable(${PROJECT_NAME}_node src/reach_study_node.cpp)
target_link_libraries(
  ${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  yaml-cpp
  reach::reach)
target_cxx_version(${PROJECT_NAME}_node PUBLIC VERSION 14)

# Demo
add_subdirectory(demo)

# ######################################################################################################################
# INSTALL ##
# ######################################################################################################################

install(
  TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch demo DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== demo/CMakeLists.txt ===
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/demo.test)
endif()

foreach(dir config model results)
  install(DIRECTORY ${dir}/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/demo/${dir})
endforeach()

=== debian/changelog ===
ros-noetic-reach-ros (1.1.1-1focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/marip8/reach_ros/issues/10> from ros-industrial/updates
    Minor Updates
  * Use RICB in CMakeLists
  * Update function to pass by reference
  * Export reach_ros library target
  * Merge pull request #9 <https://github.com/marip8/reach_ros/issues/9> from ros-industrial/fix/plugin
    Fixed typo in plugin export
  * Fixed typo in plugin export
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-noetic-reach-ros (1.1.0-1focal) focal; urgency=high

  * Merge pull request #8 <https://github.com/marip8/reach_ros/issues/8> from marip8/update/reach
    Updated to REACH 1.3.0
  * Updated to REACH 1.3.0
  * Merge pull request #7 <https://github.com/marip8/reach_ros/issues/7> from marip8/update/collision-distance-eval
    Collision distance evaluator update
  * Regenerated demo results
  * Clipped collision distance penalty cost on [0, 1]
  * Updated collision distance penalty to optionally include collision mesh; updated README
  * Merge pull request #6 <https://github.com/marip8/reach_ros/issues/6> from marip8/update/README
    README updates
  * Added installation instructions
  * Added documentation for the collision_mesh_frame parameter
  * Merge pull request #5 <https://github.com/marip8/reach_ros/issues/5> from marip8/updates
    Updates
  * Updated to reach 1.2.0
  * Updated the README
  * Added transformed point cloud target pose generator
  * Exposed plugins in separate library
  * Fixed collision mesh frame key
  * Merge pull request #4 <https://github.com/marip8/reach_ros/issues/4> from marip8/updates
    Updates
  * Set environment variable so plugin loader can find reach_ros plugins
  * Fixed tf2 issue
  * Merge pull request #3 <https://github.com/marip8/reach_ros/issues/3> from marip8/update/deps
    Updated to reach 0.1.1
  * Updated to reach 1.1.0
  * Merge pull request #2 <https://github.com/marip8/reach_ros/issues/2> from marip8/update/changelog
    Cleared changelog
  * Cleared changelog
  * Merge pull request #1 <https://github.com/marip8/reach_ros/issues/1> from marip8/update
    Replace eigen_conversions dependency with tf2
  * Replace eigen_conversions dependency with tf2
  * Removed the Python tests
  * Added reach to the dependencies.repos
  * Install the demo files
  * Updated README to include documentation about demo and usage
  * Added GIF to README
  * Flattened reach_ros directory
  * Removed docs directory
  * Removed reach directory
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Tue, 13 Jun 2023 05:00:00 -0000

ros-noetic-reach-ros (1.0.0-1focal) focal; urgency=high

  * Move ROS1 components (#44 <https://github.com/marip8/reach/issues/44>)
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Wed, 10 May 2023 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-reach-ros
Section: misc
Priority: optional
Maintainer: mripperger <mripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-interactive-markers, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-planning-interface, ros-noetic-reach, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-tf2-eigen, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-reach-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-interactive-markers, ros-noetic-joint-state-publisher, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-planning-interface, ros-noetic-reach, ros-noetic-robot-state-publisher, ros-noetic-sensor-msgs, ros-noetic-tf2-eigen, ros-noetic-visualization-msgs, ros-noetic-xacro
Description: The reach_ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-reach-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
